https://bugs.gentoo.org/958339
https://www.openwall.com/lists/oss-security/2025/06/17/5
https://www.openwall.com/lists/oss-security/2025/06/17/5/1

From 8e072f794744bd17c57cceabb3884d3f0f6a1602 Mon Sep 17 00:00:00 2001
From: Thomas Blume <Thomas.Blume@suse.com>
Date: Fri, 16 May 2025 14:27:10 +0200
Subject: [PATCH] dont allow suid and dev set on fs resize

--- a/src/plugins/fs/generic.c
+++ b/src/plugins/fs/generic.c
@@ -683,7 +683,9 @@ static gchar* fs_mount (const gchar *device, gchar *fstype, gboolean read_only,
                              "Failed to create temporary directory for mounting '%s'.", device);
                 return NULL;
             }
-            ret = bd_fs_mount (device, mountpoint, fstype, read_only ? "ro" : NULL, NULL, &l_error);
+
+            ret = bd_fs_mount (device, mountpoint, fstype, read_only ? "nosuid,nodev,ro" : "nosuid,nodev", NULL, &l_error);
+
             if (!ret) {
                 g_propagate_prefixed_error (error, l_error, "Failed to mount '%s': ", device);
                 g_rmdir (mountpoint);
-- 
2.48.1
